CollectorExecutor (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.product.CollectorExecutor class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product
Class CollectorExecutor

    java.lang.Object
      edu.emory.mathcs.backport.java.util.concurrent.AbstractExecutorService
          edu.emory.mathcs.backport.java.util.concurrent.ThreadPoolExecutor
              org.hyperic.hq.product.CollectorExecutor

All Implemented Interfaces:
  edu.emory.mathcs.backport.java.util.concurrent.Executor, edu.emory.mathcs.backport.java.util.concurrent.ExecutorService

    public class CollectorExecutor

extends edu.emory.mathcs.backport.java.util.concurrent.ThreadPoolExecutor

Nested Class Summary

Nested classes/interfaces inherited from class edu.emory.mathcs.backport.java.util.concurrent.ThreadPoolExecutor
`edu.emory.mathcs.backport.java.util.concurrent.ThreadPoolExecutor.AbortPolicy, edu.emory.mathcs.backport.java.util.concurrent.ThreadPoolExecutor.CallerRunsPolicy, edu.emory.mathcs.backport.java.util.concurrent.ThreadPoolExecutor.DiscardOldestPolicy, edu.emory.mathcs.backport.java.util.concurrent.ThreadPoolExecutor.DiscardPolicy`

Field Summary
`static java.lang.String` | `PROP_ISPOOLABLE`

Constructor Summary
`CollectorExecutor(java.util.Properties props)`

Method Summary
`void` | `awaitTermination()`
`boolean` | `isPoolable()`

Methods inherited from class edu.emory.mathcs.backport.java.util.concurrent.ThreadPoolExecutor
`afterExecute, allowCoreThreadTimeOut, allowsCoreThreadTimeOut, awaitTermination, beforeExecute, execute, finalize, getActiveCount, getCompletedTaskCount, getCorePoolSize, getKeepAliveTime, getLargestPoolSize, getMaximumPoolSize, getPoolSize, getQueue, getRejectedExecutionHandler, getTaskCount, getThreadFactory, isShutdown, isTerminated, isTerminating, prestartAllCoreThreads, prestartCoreThread, purge, remove, setCorePoolSize, setKeepAliveTime, setMaximumPoolSize, setRejectedExecutionHandler, setThreadFactory, shutdown, shutdownNow, terminated`

Methods inherited from class edu.emory.mathcs.backport.java.util.concurrent.AbstractExecutorService
`invokeAll, invokeAll, invokeAny, invokeAny, newTaskFor, newTaskFor, submit, submit, submit`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROP_ISPOOLABLE

    public static final java.lang.String PROP_ISPOOLABLE

See Also:
  Constant Field Values

Constructor Detail

### CollectorExecutor

    public CollectorExecutor(java.util.Properties props)

Method Detail

### isPoolable

    public boolean isPoolable()

### awaitTermination

    public void awaitTermination()
                          throws java.lang.InterruptedException

  Throws:
    `java.lang.InterruptedException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.